baz_puncture_bb.h File Reference
`#include <gnuradio/block.h>`
`#include <boost/thread.hpp>`
Include dependency graph for baz_puncture_bb.h:

Go to the source code of this file.

## Classes

class | baz_puncture_bb
| square a stream of floats. More...

## Functions

BAZ_API baz_puncture_bb_sptr | baz_make_puncture_bb (const std::vector< int > &matrix)
| Return a shared_ptr to a new instance of baz_puncture_bb.

## Variables

class BAZ_API | baz_puncture_bb

## Function Documentation

## baz_make_puncture_bb()

BAZ_API baz_puncture_bb_sptr baz_make_puncture_bb | ( | const std::vector< int > & | matrix | ) |

Return a shared_ptr to a new instance of baz_puncture_bb.

To avoid accidental use of raw pointers, baz_puncture_bb's constructor is private. baz_make_puncture_bb is the public interface for creating new instances.

## Variable Documentation

## baz_puncture_bb

class BAZ_API baz_puncture_bb